Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Catalyst-Controller-FormBuilder
Version:        0.06
Release:        alt1_24
Summary:        Catalyst FormBuilder Base Controller
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Catalyst-Controller-FormBuilder
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSTROUT/Catalyst-Controller-FormBuilder-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Catalyst/Action.pm)
BuildRequires:  perl(Catalyst/Controller.pm)
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Catalyst/View.pm)
BuildRequires:  perl(Catalyst/View/HTML/Template.pm)
BuildRequires:  perl(Catalyst/View/Mason.pm)
BuildRequires:  perl(Catalyst/View/TT.pm)
BuildRequires:  perl(CGI/FormBuilder.pm)
BuildRequires:  perl(CGI/FormBuilder/Source/File.pm)
BuildRequires:  perl(CGI/FormBuilder/Util.pm)
BuildRequires:  perl(Class/Data/Inheritable.pm)
BuildRequires:  perl(Class/Inspector.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Install/AutoInstall.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
BuildRequires:  perl(Module/Install/WriteAll.pm)
BuildRequires:  perl(mro.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/WWW/Mechanize/Catalyst.pm)
BuildRequires:  perl(Tie/IxHash.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  sed

# not auto-picked up, or to keep rpmlint happy...
Requires:       perl(Catalyst.pm)
Requires:       perl(warnings.pm)
Requires:       perl(lib.pm)
Source44: import.info

%description
This base controller merges the functionality of CGI::FormBuilder with
Catalyst and the following templating systems: Template Toolkit, Mason and
HTML::Template. This gives you access to all of FormBuilder's niceties,
such as controllablefield stickiness, multilingual support, and Javascript
generation. For more details, see CGI::FormBuilder or the website at:
http://www.formbuilder.org


%{echo 
%filter_from_requires /perl.FindBin.pm./d; /perl.Test..*.pm./d
%filter_from_provides /perl.TestApp.*.pm./d

}



%prep
%setup -q -n Catalyst-Controller-FormBuilder-%{version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes t/
%{perl_vendor_privlib}/*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_24
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_23
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_22
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_21
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_20
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_19
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_16
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_15
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_14
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_13
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_11
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_10
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_9
- update to new release by fcimport

* Wed Feb 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_6
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_4
- fc import

